aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.S3.Commands.DeleteObjects

# Documentation

data DeleteObjects #

Constructors

DeleteObjects |

Fields

- dosBucket :: Bucket
- dosObjects :: [(Object, Maybe Text)]
- dosQuiet :: Bool
- dosMultiFactorAuthentication :: Maybe Text

#### Instances

Instances details

SignQuery DeleteObjects # | ServiceConfiguration: `S3Configuration`

Instance details

Defined in Aws.S3.Commands.DeleteObjects

Associated Types

type ServiceConfiguration DeleteObjects |
Instance details Defined in Aws.S3.Commands.DeleteObjects type ServiceConfiguration DeleteObjects = S3Configuration

Methods

signQuery :: DeleteObjects -> ServiceConfiguration DeleteObjects queryType -> SignatureData -> SignedQuery #

Show DeleteObjects # |
Instance details Defined in Aws.S3.Commands.DeleteObjects Methods showsPrec :: Int -> DeleteObjects -> ShowS # show :: DeleteObjects -> String # showList :: [DeleteObjects] -> ShowS #
ResponseConsumer DeleteObjects DeleteObjectsResponse # |

Instance details

Defined in Aws.S3.Commands.DeleteObjects

Associated Types

type ResponseMetadata DeleteObjectsResponse |
Instance details Defined in Aws.S3.Commands.DeleteObjects type ResponseMetadata DeleteObjectsResponse = S3Metadata

Methods

responseConsumer :: Request -> DeleteObjects -> IORef (ResponseMetadata DeleteObjectsResponse) -> HTTPResponseConsumer DeleteObjectsResponse #

Transaction DeleteObjects DeleteObjectsResponse # |
Instance details Defined in Aws.S3.Commands.DeleteObjects
type ServiceConfiguration DeleteObjects # |
Instance details Defined in Aws.S3.Commands.DeleteObjects type ServiceConfiguration DeleteObjects = S3Configuration

deleteObjects :: Bucket -> [Text] -> DeleteObjects #

data DeleteObjectsResponse #

Constructors

DeleteObjectsResponse |

Fields

- dorDeleted :: [DORDeleted]
- dorErrors :: [DORErrors]

#### Instances

Instances details

AsMemoryResponse DeleteObjectsResponse # |

Instance details

Defined in Aws.S3.Commands.DeleteObjects

Associated Types

type MemoryResponse DeleteObjectsResponse |
Instance details Defined in Aws.S3.Commands.DeleteObjects type MemoryResponse DeleteObjectsResponse = DeleteObjectsResponse

Methods

loadToMemory :: DeleteObjectsResponse -> ResourceT IO (MemoryResponse DeleteObjectsResponse) #

Show DeleteObjectsResponse # |
Instance details Defined in Aws.S3.Commands.DeleteObjects Methods showsPrec :: Int -> DeleteObjectsResponse -> ShowS # show :: DeleteObjectsResponse -> String # showList :: [DeleteObjectsResponse] -> ShowS #
ResponseConsumer DeleteObjects DeleteObjectsResponse # |

Instance details

Defined in Aws.S3.Commands.DeleteObjects

Associated Types

type ResponseMetadata DeleteObjectsResponse |
Instance details Defined in Aws.S3.Commands.DeleteObjects type ResponseMetadata DeleteObjectsResponse = S3Metadata

Methods

responseConsumer :: Request -> DeleteObjects -> IORef (ResponseMetadata DeleteObjectsResponse) -> HTTPResponseConsumer DeleteObjectsResponse #

Transaction DeleteObjects DeleteObjectsResponse # |
Instance details Defined in Aws.S3.Commands.DeleteObjects
type MemoryResponse DeleteObjectsResponse # |
Instance details Defined in Aws.S3.Commands.DeleteObjects type MemoryResponse DeleteObjectsResponse = DeleteObjectsResponse
type ResponseMetadata DeleteObjectsResponse # |
Instance details Defined in Aws.S3.Commands.DeleteObjects type ResponseMetadata DeleteObjectsResponse = S3Metadata

data DORDeleted #

Constructors

DORDeleted |

Fields

- ddKey :: Text
- ddVersionId :: Maybe Text
- ddDeleteMarkerVersionId :: Maybe Text

#### Instances

Instances details

Show DORDeleted # |
Instance details Defined in Aws.S3.Commands.DeleteObjects Methods showsPrec :: Int -> DORDeleted -> ShowS # show :: DORDeleted -> String # showList :: [DORDeleted] -> ShowS #

data DORErrors #

Constructors

DORErrors |

Fields

- deKey :: Text
- deCode :: Text
- deMessage :: Text

#### Instances

Instances details

Show DORErrors # |
Instance details Defined in Aws.S3.Commands.DeleteObjects Methods showsPrec :: Int -> DORErrors -> ShowS # show :: DORErrors -> String # showList :: [DORErrors] -> ShowS #